Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlMessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlMessageRendererBase

Direct Known Subclasses:
  HtmlMessagesRendererBase

    public abstract class HtmlMessageRendererBase

extends HtmlRenderer

Version:
  $Revision: 778857 $ $Date: 2009-05-26 14:43:52 -0500 (Tue, 26 May 2009) $
Author:
  Manfred Geiler (latest modification by $Author: lu4242 $)

Constructor Summary
`HtmlMessageRendererBase()`

Method Summary
`protected abstract String` | `getDetail(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, String msgClientId)`
`protected String` | `getFor(javax.faces.component.UIComponent component)`
`static String[]` | `getStyleAndStyleClass(javax.faces.component.UIComponent message, javax.faces.application.FacesMessage.Severity severity)`
`protected abstract String` | `getSummary(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, String msgClientId)`
`protected String` | `getTitle(javax.faces.component.UIComponent component)`
`protected boolean` | `isShowDetail(javax.faces.component.UIComponent component)`
`protected boolean` | `isShowSummary(javax.faces.component.UIComponent component)`
`protected boolean` | `isTooltip(javax.faces.component.UIComponent component)`
`protected void` | `renderMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message)`
`protected void` | `renderMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, boolean alwaysRenderSpan)`
`protected void` | `renderSingleFacesMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, String messageClientId)`
`protected void` | `renderSingleFacesMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, String messageClientId, boolean renderId)`
`protected void` | `renderSingleFacesMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, String messageClientId, boolean renderId, boolean renderStyleAndStyleClass)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageRendererBase

    public HtmlMessageRendererBase()

Method Detail

### getSummary

    protected abstract String getSummary(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIComponent message,
                                         javax.faces.application.FacesMessage facesMessage,
                                         String msgClientId)

### getDetail

    protected abstract String getDetail(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent message,
                                        javax.faces.application.FacesMessage facesMessage,
                                        String msgClientId)

### renderMessage

    protected void renderMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent message)
                          throws IOException

  Throws:
    `IOException`

### renderMessage

    protected void renderMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent message,
                                 boolean alwaysRenderSpan)
                          throws IOException

  Parameters:
    `facesContext` -
    `message` -
    `alwaysRenderSpan` - if true will render a span even if there is no message
  Throws:
    `IOException`

### renderSingleFacesMessage

    protected void renderSingleFacesMessage(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent message,
                                            javax.faces.application.FacesMessage facesMessage,
                                            String messageClientId)
                                     throws IOException

  Throws:
    `IOException`

### renderSingleFacesMessage

    protected void renderSingleFacesMessage(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent message,
                                            javax.faces.application.FacesMessage facesMessage,
                                            String messageClientId,
                                            boolean renderId)
                                     throws IOException

  Throws:
    `IOException`

### renderSingleFacesMessage

    protected void renderSingleFacesMessage(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent message,
                                            javax.faces.application.FacesMessage facesMessage,
                                            String messageClientId,
                                            boolean renderId,
                                            boolean renderStyleAndStyleClass)
                                     throws IOException

  Throws:
    `IOException`

### getStyleAndStyleClass

    public static String[] getStyleAndStyleClass(javax.faces.component.UIComponent message,
                                                 javax.faces.application.FacesMessage.Severity severity)

### getFor

    protected String getFor(javax.faces.component.UIComponent component)

### getTitle

    protected String getTitle(javax.faces.component.UIComponent component)

### isTooltip

    protected boolean isTooltip(javax.faces.component.UIComponent component)

### isShowSummary

    protected boolean isShowSummary(javax.faces.component.UIComponent component)

### isShowDetail

    protected boolean isShowDetail(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.